package com.ruoyi.gysl.entity;


import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 项目通知(Notice)表实体类
 *
 * @author makejava
 * @since 2025-03-23 16:34:27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("mx")
@ApiModel(value = "Mx", description = "项目通知")
public class Notice implements Serializable {

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    @TableField("id")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "1政务通知 2企业通知")
    private Integer type;

    @ApiModelProperty(value = "通知内容")
    private String content;

    @ApiModelProperty(value = "统一社会信用代码")
    private String tyshxydm;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "项目id")
    private Long xmId;
}

